package com.winhc.bigdata.utils;

import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2021/12/6 11:27
 */
public class CompanyUtils {
    public static List<String> spiltNames(String val) {
        if (StringUtils.isEmpty(val)) {
            return Collections.emptyList();
        }
        return Arrays.stream(val.split("\t;\t")).map(String::trim).filter(StringUtils::isNotBlank).map(CompanyUtils::valTrim).collect(Collectors.toList());
    }


    private static String valTrim(String val) {
        if (StringUtils.isBlank(val)) {
            return null;
        }
        if (val.endsWith("\t;")) {
            return val.replaceAll("\t;", "");
        } else {
            return val;
        }
    }
}
